Domains
Ingest domain event
POST
/
api
/
v1
/
domains
/
{domain_id}
/
events
Ingest domain event
curl --request POST \
--url https://rei-neuroadapt-api.reilabs.org/api/v1/domains/{domain_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "ignored",
"event_type": "observation",
"timestamp": null,
"entities": {},
"values": {},
"relations": [],
"text": "An example event",
"metadata": {}
}
'import requests
url = "https://rei-neuroadapt-api.reilabs.org/api/v1/domains/{domain_id}/events"
payload = {
"session_id": "ignored",
"event_type": "observation",
"timestamp": None,
"entities": {},
"values": {},
"relations": [],
"text": "An example event",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_id: 'ignored',
event_type: 'observation',
timestamp: null,
entities: {},
values: {},
relations: [],
text: 'An example event',
metadata: {}
})
};
fetch('https://rei-neuroadapt-api.reilabs.org/api/v1/domains/{domain_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"domain_id": "demo-domain",
"session_id": "agent-id",
"event_type": "observation",
"memory_id": "memory-uuid",
"summary": "Stored event summary...",
"accepted": true,
"action": "stored"
}{
"detail": "Unauthorized"
}Authorizations
Unit API Key mapped to an agent in the agents collection. The proxy forces session_id = agentId.
Path Parameters
Body
application/json
Response
Event stored.
The response is of type object.
⌘I
Ingest domain event
